## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         reponame    azure-sdk-for-python
%global         srcname     azure-core

Name:           python-%{srcname}
Version:        1.30.2
Release:        %autorelease
Summary:        Azure Core shared client library for Python

License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

Epoch:          2

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(msrest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
BuildRequires:  python3dist(trio)
%endif

%global _description %{expand:
Azure Core shared client library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%pyproject_extras_subpkg -n python3-%{srcname} aio

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
# azure-core has a flask-based testing server that must be available to run tests.
# Disabling async/streaming tests since they require network connectivity to various
# APIs on Azure's site.
PYTHONPATH=%{buildroot}%{python3_sitelib}:%{buildroot}%{python3_sitearch}:tests/testserver_tests/coretestserver/ \
    %pytest \
        --ignore=tests/async_tests \
        --ignore tests/test_streaming.py \
        -k "not test_decompress_plain_no_header \
            and not test_compress_plain_no_header \
            and not test_decompress_compressed_no_header \
            and not test_text_and_encoding \
            and not test_response_headers" \
        tests
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md CLIENT_LIBRARY_DEVELOPER.md README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.30.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2:1.30.2-1
- Update to 1.30.2 (close RHBZ#2298151)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.30.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 2:1.30.1-3
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2:1.30.1-2
- Bootstrap for Python 3.13

* Wed May 29 2024 Jeremy Cline <jeremycline@microsoft.com> - 2:1.30.1-1
- Update to version 1.30.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.28.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.28.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 26 2023 Major Hayden <major@redhat.com> - 2:1.28.0-4
- Fix packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Major Hayden <major@redhat.com> - 2:1.28.0-2
- Use git source instead rhbz#2222161

* Tue Jul 11 2023 Major Hayden <major@redhat.com> - 2:1.28.0-1
- Update to 1.28.0 rhbz#2221776

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2:1.26.0-4
- Bump revision number

* Sun Jul 02 2023 Python Maint <python-maint@redhat.com> - 2:1.26.0-3
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2:1.26.0-2
- Bootstrap for Python 3.12

* Mon May 29 2023 Roman Inflianskas <rominf@aiven.io> - 2:1.26.0-1
- Update to 1.26.0

* Wed May 17 2023 Major Hayden <major@redhat.com> - 2:1.25.1-4
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 2:1.25.1-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.25.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 02 2022 Major Hayden <major@redhat.com> - 2:1.25.1-1
- Update to 1.25.1 rhbz#2123434

* Thu Aug 04 2022 Major Hayden <major@redhat.com> - 2:1.25.0-1
- Update to 1.25.0 rhbz#2115453

* Tue Jul 26 2022 František Zatloukal <fzatlouk@redhat.com> - 2:1.24.2-5
- Adjust tests for werkzeug >= 2.2

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2:1.24.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Major Hayden <major@redhat.com> - 2:1.24.2-3
- Add testing conditional for epel9

* Fri Jul 08 2022 Major Hayden <major@redhat.com> - 2:1.24.2-2
- Remove minimum typing-extensions version for F35/36/epel9

* Tue Jul 05 2022 Major Hayden <major@redhat.com> - 2:1.24.2-1
- Update to 1.24.2

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 2:1.23.1-5
- Disable text encoding test

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 2:1.23.1-4
- Enable tests with coretestserver

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 2:1.23.1-3
- Add upstream typing patch for 3.11.0b3

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 2:1.23.1-2
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Major Hayden <major@redhat.com> - 2:1.23.1-1
- Update to 1.23.1

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2:1.21.1-4
- Rebuilt for Python 3.11

* Wed May 11 2022 Major Hayden <major@mhtx.net> - 2:1.21.1-3
- Fix azure-sdk-tools BuildRequires

* Wed May 11 2022 Major Hayden <major@mhtx.net> - 2:1.21.1-2
- Add azure-core 1.21.1 sources back in

* Wed May 11 2022 Major Hayden <major@mhtx.net> - 2:1.21.1-1
- Downgrade to 1.21.1

* Fri May 06 2022 Major Hayden <major@mhtx.net> - 1:1.24.0-1
- 🚀 Update to 1.24.0

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> - 1:1.21.1-4
- Disable tests due to network connectivity limitations

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> - 1:1.21.1-3
- Disable tests in EPEL due to missing backports

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.21.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> - 1:1.21.1-1
- Update to 1.21.1

* Tue Nov 09 2021 Major Hayden <major@mhtx.net> - 1:1.19.0-3
- Skip flaky emoji test

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:1.19.0-2
- Clean up nspkg

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:1.19.0-1
- Update to 1.19.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-5
- Move obsoletes into subpackage

* Tue Aug 03 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-4
- Run non-network tests

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-3
- Add provides for azure-nspkg

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-2
- Add epoch number for downgrade to 1.13.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:1.13.0-1
- Add epoch for downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1.13.0-1
- Revert to 1.13.0

* Sun Jul 18 2021 Major Hayden <major@mhtx.net> - 1.16.0-2
- Use python3 instead of macro

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> - 1.16.0-1
- Update to 1.16.0

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> - 1.15.0-1
- Initial import (#1970073)
## END: Generated by rpmautospec
